Subject: [bug#49606] [PATCH wip-haskell v2] gnu: Add ghc-8.10.

From: Xinglu Chen <[email-masked]>
Date: Tue, 14 Sep 2021 17:21:12 +0200

On Tue, Sep 14 2021, Lars-Dominik Braun wrote:

> Hi,
>
>> AFAIK, ‘-next’ packages are usually unstable versions of the regular
>> version, e.g., ‘emacs-next’ and ‘guile-next’.  ‘ghc-8.10’ is a stable
>> release, so I am not sure if the ‘-next’ prefix is appropriate.
> that is true, but I don’t see any other way to make
>
> 	guix environment --pure --ad-hoc ghc ghc-aeson -- ghci
> 	> import Data.Aeson
>
> do “the right thing” by default. We could also argue that from
> Guix’s point of view GHC 8.8/8.10 is (right now) unstable, because our
> entire set of Haskell packages is built with GHC 8.6 (and thus untested
> with higher versions of base). We also have [email-masked] on master
> with (I think) exactly the same purpose. So, unless there’s any strong
> objections I’ll be bold and rename GHC>8.6 to ghc-next, explaining
> the situation in a comment.

Ah, from Guix’s perspective GHC>8.6 would be unstable I guess.  Feel
free to push!  :-)

>> But seeing as there isn’t much interest in a
>> Haskell update, applying to ‘master’ seems like a better idea.
> I’m counting three people (John, you and me) interested in getting
> Haskell back into shape, so let’s just do it :)

That would be great!  :-)